So I have an iMac (4,1) running Snow Leopard.

I tried installing the 32-bit Mac agent and it complained

Package intended for 32 bit architecture
Exiting with error code 237.

so I installed the 64-bit agent - it was happy.

I then logged out and back in to activate the agent but it isn't happy -
I get a ZENworks Adaptive Agent dialog popup with the error "Cannot load
64-bit SWT libraries on 32-bit JVM".

$ java -version
java version "1.6.0_26"
Java(TM) SE Runtime Environment (build 1.6.0_26-b03-384-10M3425)
Java HotSpot(TM) Client VM (build 20.1-b02-384, mixed mode)
$ uname -a
Darwin <host>.<domain> 10.8.0 Darwin Kernel Version 10.8.0: Tue Jun 7
16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386 i386

System Software Overview in System Profiler has No recorded against
64-bit Kernel and Extensions.

So yes Java is 32-bit but so is Mac OS X.

Q1) How can I uninstall the (64-bit) Mac agent?

Q2) Should I be installing the 32- or 64-bit Mac agent?

I'm thinking I should be installing the 32-bit Mac agent so

Q3) How can I install the 32-bit Mac agent?

Novell Knowledge Partner (NKP)

Do you work with Novell technologies at a university, college or school?
If so, your campus could benefit from joining the Novell Technology
Transfer Partner (TTP) program. See for more details.